Subject: Re: bug#69561: 30.0.50; Freeze from M-x gnus on macOS

From: Gerd Möllmann <[email-masked]>
Date: Wed, 13 Mar 2024 20:37:30 +0100

Filipp Gunbin <[email-masked]> writes:

> On 13/03/2024 19:20 +0100, Gerd Möllmann wrote:
>
>> Filipp Gunbin <[email-masked]> writes:
>>
>>> On 13/03/2024 07:11 +0100, Gerd Möllmann wrote:
>>>
>>>> Pushed to mater and closing.
>>>
>>> (I haven't read this thread in detail) On TTY there were no freezes
>>> before the patch, but now there are - for example, `C-x v L' in emacs
>>> repo freezes.
>>>
>>> Thanks.
>>
>> Thanks, Filipp. Could you please try the attached patch?
>
> Hi Gerd, yes it fixes the issue, thanks!

Thanks Filipp, glad to hear. I've pushed that to master, with a comment
added. I always forget Emacs on terminals because I never use that,
sorry.

>
>> But - are you sure you see a freeze, i.e. you can't, don't know, C-x C-c
>> or C-g or whatever else? That's not what I see with emacs -nw -Q, I see
>> an empty log window.
>
> Yes, you're right, technically Emacs does not freeze here, but it does
> nothing about the started git process (which can be seen in M-x
> list-processes), the same even with "M-& echo foo RET" - just blank
> screen.  With M-x gnus I was able to C-g, but otherwise it just hanged -
> that's what I interpreted as related to this thread/commit.  Anyway it
> seems ok with your fix now.

Ok. Thanks for testing!